﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Controls;
using System.Windows.Data;

namespace XamPivotGridValidationTooltipDemo
{
    public class TooltipConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value != null)
            {
                ReadOnlyObservableCollection<ValidationError> val = value as ReadOnlyObservableCollection<ValidationError>;

                if(val.Count > 0)
                {
                    ValidationError error = val[0];
                    return error.ErrorContent;
                }                
            }

            return null;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
